- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FixedSizeAlignedSecBlock< T, S, T_Align16 > Class Template Reference

Inheritance diagram for FixedSizeAlignedSecBlock< T, S, T_Align16 >:

List of all members.

## Detailed Description

### template<class T, unsigned int S, bool T_Align16 = 0 | 0>
class FixedSizeAlignedSecBlock< T, S, T_Align16 >

Definition at line 460 of file secblock.h.

## Public Types
typedef FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::value_type | value_type
typedef FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::pointer | iterator
typedef FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::const_pointer | const_iterator
typedef FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::size_type | size_type
## Public Member Functions
| operator const void * () const
| operator void * ()
| operator const T * () const
| operator T * ()
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::pointer | data ()
FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 >::const_pointer | data () const
size_type | size () const
bool | empty () const
byte * | BytePtr ()
const byte * | BytePtr () const
size_type | SizeInBytes () const
void | Assign (const T *t, size_type len)
| set contents and size
void | Assign (const SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &t)
| copy contents and size from another SecBlock
SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > & | operator+= (const SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &t)
SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > | operator+ (const SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &t)
bool | operator== (const SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &t) const
bool | operator!= (const SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &t) const
void | New (size_type newSize)
| change size, without preserving contents
void | CleanNew (size_type newSize)
| change size and set contents to 0
void | Grow (size_type newSize)
| change size only if newSize > current size. contents are preserved
void | CleanGrow (size_type newSize)
| change size only if newSize > current size. contents are preserved and additional area is set to 0
void | resize (size_type newSize)
| change size and preserve contents
void | swap (SecBlock< T, FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > > &b)
| swap contents and size with another SecBlock
## Public Attributes
FixedSizeAllocatorWithCleanup< T, S, NullAllocator< word32 >, T_Align16 > | m_alloc
size_type | m_size
T * | m_ptr

The documentation for this class was generated from the following file:

- secblock.h